﻿namespace ClairLuneV1b
{
    class Program
    {
        public void joueNote(int note, double tempo)
        {
            BrainPad.Buzzer.StartBuzzing(note);
            BrainPad.Wait.Seconds(tempo);
            BrainPad.Buzzer.StopBuzzing();
        }

        public void BrainPadSetup()
        {
            BrainPad.Display.DrawText(20, 5, "Au clair ");
            BrainPad.Display.DrawText(30, 25, "de la");
            BrainPad.Display.DrawText(35, 50, "lune");
            BrainPad.Display.ShowOnScreen();
            while (!BrainPad.Buttons.IsLeftPressed()) ;

            BrainPad.Wait.Seconds(2);

            for (int i = 0; i < 3; i++)
            {
                switch (i)
                {
                    case 0: BrainPad.Display.DrawSmallTextAndShowOnScreen(10, 10, "Au"); break;
                    case 1: BrainPad.Display.DrawSmallTextAndShowOnScreen(10, 10, "Au clair"); break;
                    case 2: BrainPad.Display.DrawSmallTextAndShowOnScreen(10, 10, "Au clair de"); break;
                    default:
                        break;
                }
                joueNote(523, 0.5);  // Do
            }
            BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
            BrainPad.Display.ShowOnScreen();
            joueNote(587, 0.5);     // Ré

            BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
            BrainPad.Display.DrawSmallText(10, 20, "lu-");
            BrainPad.Display.ShowOnScreen();
            joueNote(659, 1);       // Mi

            BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
            BrainPad.Display.DrawSmallText(10, 20, "lu- ne");
            BrainPad.Display.ShowOnScreen();
            joueNote(587, 1);       // Ré

            BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
            BrainPad.Display.DrawSmallText(10, 20, "lu- ne mon");
            BrainPad.Display.ShowOnScreen();
            joueNote(523, 0.5);     // Do

            BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
            BrainPad.Display.DrawSmallText(10, 20, "lu- ne mon a-");
            BrainPad.Display.ShowOnScreen();
            joueNote(659, 0.5);     // Mi

            for (int i = 0; i < 2; i++)
            {
                switch (i)
                {
                    case 0:
                        BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
                        BrainPad.Display.DrawSmallText(10, 20, "lu- ne mon a-");
                        BrainPad.Display.DrawSmallText(10, 30, "mi");
                        BrainPad.Display.ShowOnScreen();
                        break;
                    case 1:
                        BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
                        BrainPad.Display.DrawSmallText(10, 20, "lu- ne mon a-");
                        BrainPad.Display.DrawSmallText(10, 30, "mi pie-");
                        BrainPad.Display.ShowOnScreen();
                        break;
                }
                joueNote(587, 0.5); // Ré
            }
            BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
            BrainPad.Display.DrawSmallText(10, 20, "lu- ne mon a-");
            BrainPad.Display.DrawSmallText(10, 30, "mi pie- rrot");
            BrainPad.Display.ShowOnScreen();
            joueNote(523, 1.5);     // Do
        }

        public void BrainPadLoop()
        {

        }
    }
}

